//
//  IDDeviceConnectionManager.h
//  iDeviceInterface
//
//  Created by Chris Devor on 7/14/11.
//  Copyright 2011 Macroplant. All rights reserved.
//

#import <Foundation/Foundation.h>

@class IDIDevice;

@protocol IDDeviceConnectionManagerDelegate

- (void) handleDeviceConnected:(IDIDevice *) iDevice;
- (void) handleDeviceDisconnected:(IDIDevice *) iDevice;

- (void) addBusyStatus:(NSString*) busyStatus;
- (void) removeBusyStatus:(NSString*) busyStatus;

- (void) updateProgressToValue:(float)precentComplete forStatus:(NSString*) busyStatus;

@end


@interface IDDeviceConnectionManager : NSObject {

    bool allowAFC2Connections;
    NSMutableArray* ma_connectedDevices;
    NSObject <IDDeviceConnectionManagerDelegate> *delegate;
    
}
- (id)initWithDelegate:(NSObject <IDDeviceConnectionManagerDelegate>*)del AllowAFC2Connections:(BOOL) allowAFC2;
+ (IDDeviceConnectionManager *) sharedInstance;

@end
